<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-08-06 06:44:29'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='<ANY>'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$navbar_type';
		param.description='Type of the document for which the navigation bar
is generated';
		param.type='enum';
		param.enum.values='default;overview;namespace;wsdl_file;wsdl_file_source;schema;schema_source;component;index;help;all_components;ns_bindings';
	}
	PARAM={
		param.name='$navbar_location';
		param.description='Location of the navigation bar (header/footer)';
		param.type='enum';
		param.enum.values='header;footer';
	}
	PARAM={
		param.name='$navbar_text';
		param.description='The text to be displayed in the navigation bar.

This parameter is calculated dynamically 
and needs not to be specified.';
		param.type='string';
		param.trimSpaces='true';
		param.defaultValue.expr='hasParamValue("$navbar_location", "header") ?
  getStringParam("nav.bar.headerText")
  : {
    text = getStringParam ("nav.bar.footerText");
    text.length() > 0 ? text : 
       getStringParam("nav.bar.headerText")
  }';
	}
	PARAM={
		param.name='$nsURI';
		param.type='Object';
	}
	PARAM={
		param.name='$top_rule';
		param.type='boolean';
		param.defaultValue.expr='hasParamValue("$navbar_location", "footer")';
	}
	PARAM={
		param.name='$bottom_rule';
		param.type='boolean';
		param.defaultValue.expr='hasParamValue("$navbar_location", "header")';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.overview';
		param.title='Overview Summary';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.allcomps';
		param.title='All Component Summary';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='gen.namespace';
		param.title='Namespace Overviews';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.index';
		param.title='Index';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='nav.bar.headerText';
		param.title='Header Text';
		param.type='text';
	}
	PARAM={
		param.name='nav.bar.footerText';
		param.title='Footer Text';
		param.type='text';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	TCELL_STYLE={
		style.name='NavBar Bottom Menu';
		style.id='tcs1';
		tcell.padding.extra.left='0.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='0.6';
		tcell.padding.extra.bottom='0.6';
		tcell.option.nowrap='true';
	}
	CHAR_STYLE={
		style.name='NavBar Item';
		style.id='cs3';
		text.font.name='Arial';
		text.font.size='6.5';
	}
	CHAR_STYLE={
		style.name='NavBar Item Group Separator';
		style.id='cs4';
		text.spacing.letter='12';
	}
	CHAR_STYLE={
		style.name='NavBar Item Hyperlink';
		style.id='cs5';
		text.font.style.bold='true';
	}
	TCELL_STYLE={
		style.name='NavBar Mid Left Menu 1';
		style.id='tcs2';
		tcell.padding.extra.left='0.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='1';
		tcell.padding.extra.bottom='0.6';
		tcell.option.nowrap='true';
	}
	TCELL_STYLE={
		style.name='NavBar Mid Left Menu 2';
		style.id='tcs3';
		tcell.padding.extra.left='0.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='0.6';
		tcell.padding.extra.bottom='0.6';
		tcell.option.nowrap='true';
	}
	TCELL_STYLE={
		style.name='NavBar Mid Right Menu 1';
		style.id='tcs4';
		tcell.padding.extra.left='2.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='1';
		tcell.padding.extra.bottom='0.6';
		tcell.option.nowrap='true';
	}
	TCELL_STYLE={
		style.name='NavBar Mid Right Menu 2';
		style.id='tcs5';
		tcell.padding.extra.left='2.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='0.6';
		tcell.padding.extra.bottom='0.6';
		tcell.option.nowrap='true';
	}
	HR_STYLE={
		style.name='NavBar Rule';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
	}
	CHAR_STYLE={
		style.name='NavBar Text';
		style.id='cs6';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='NavBar Top Item';
		style.id='cs7';
		text.font.name='Arial';
		text.color.foreground='#000000';
	}
	CHAR_STYLE={
		style.name='NavBar Top Item Hyperlink';
		style.id='cs8';
		text.font.style.bold='true';
		text.color.foreground='#000000';
	}
	CHAR_STYLE={
		style.name='NavBar Top Item Selected';
		style.id='cs9';
		text.font.name='Arial';
		text.font.style.bold='true';
		text.color.foreground='#FFFFFF';
	}
	TCELL_STYLE={
		style.name='NavBar Top Item Selected Bkgr';
		style.id='tcs6';
		tcell.bkgr.color='#00008B';
	}
	TCELL_STYLE={
		style.name='NavBar Top Menu';
		style.id='tcs7';
		tcell.padding.extra.left='0.6';
		tcell.padding.extra.right='0.6';
		tcell.padding.extra.top='0.6';
		tcell.padding.extra.bottom='0.6';
		tcell.bkgr.color='#EEEEFF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
	doc.paper.width='820';
}
<ROOT>
	<AREA_SEC>
		COND='getBooleanParam("$top_rule")'
		<AREA>
			<HR>
				FMT={
					hr.style='hrs1';
					hr.margin.top='10';
				}
			</HR>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='Navigation bars for different document types'
		<BODY>
			<AREA_SEC>
				DESCR='Overview'
				COND='hasParamValue("$navbar_type", "overview")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='128.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='90';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='105.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='318';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='PREV'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NEXT'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='318';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='128.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Namespace'
				COND='hasParamValue("$navbar_type", "namespace")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='176.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='90';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='105.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='317.3';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='PREV NAMESPACE'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.prevItem.toElement().value';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NEXT NAMESPACE'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.nextItem.toElement().value';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='318.8';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='636';
													ctrl.size.height='38.3';
													tcell.style='tcs1';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='SUMMARY'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-wsdl-file-summary") != null'
																TEXT='WSDL'
																<DOC_HLINK>
																	TITLE_EXPR='"WSDL files"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-wsdl-file-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-service-summary") != null'
																TEXT='SRV'
																<DOC_HLINK>
																	TITLE_EXPR='"services"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-service-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-binding-summary") != null'
																TEXT='BND'
																<DOC_HLINK>
																	TITLE_EXPR='"bindings"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-binding-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-portType-summary") != null'
																TEXT='PT'
																<DOC_HLINK>
																	TITLE_EXPR='"port types"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-portType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-message-summary") != null'
																TEXT='MSG'
																<DOC_HLINK>
																	TITLE_EXPR='"messages"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-message-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-schema-summary") != null'
																TEXT='SCHEMA'
																<DOC_HLINK>
																	TITLE_EXPR='"XML schemas"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-schema-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-element-summary") != null'
																TEXT='EL'
																<DOC_HLINK>
																	TITLE_EXPR='"elements"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-element-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-complexType-summary") != null'
																TEXT='C-TYPE'
																<DOC_HLINK>
																	TITLE_EXPR='"complex types"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-complexType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-simpleType-summary") != null'
																TEXT='S-TYPE'
																<DOC_HLINK>
																	TITLE_EXPR='"simple types"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-simpleType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-group-summary") != null'
																TEXT='GR'
																<DOC_HLINK>
																	TITLE_EXPR='"element groups"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-group-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-attribute-summary") != null'
																TEXT='AT'
																<DOC_HLINK>
																	TITLE_EXPR='"global attributes"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-attribute-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("ns-attributeGroup-summary") != null'
																TEXT='A-GR'
																<DOC_HLINK>
																	TITLE_EXPR='"attribute groups"'
																	HKEYS={
																		'getStringParam("$nsURI")';
																		'"ns-attributeGroup-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='176.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='WSDL file'
				COND='hasParamValue("$navbar_type", "wsdl_file")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='176.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='90';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				<DOC_HLINK>
																					HKEYS={
																						'getStringParam("$nsURI")';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='105.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='PREV WSDL'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.prevItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NEXT WSDL'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.nextItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs3';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='SUMMARY'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("wsdl-schema-summary") != null'
																TEXT='SCHEMA'
																<DOC_HLINK>
																	TITLE_EXPR='"embedded XML schemas"'
																	HKEYS={
																		'contextElement.id';
																		'"wsdl-schema-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("wsdl-service-summary") != null'
																TEXT='SRV'
																<DOC_HLINK>
																	TITLE_EXPR='"services"'
																	HKEYS={
																		'contextElement.id';
																		'"wsdl-service-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("wsdl-binding-summary") != null'
																TEXT='BND'
																<DOC_HLINK>
																	TITLE_EXPR='"bindings"'
																	HKEYS={
																		'contextElement.id';
																		'"wsdl-binding-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("wsdl-portType-summary") != null'
																TEXT='PT'
																<DOC_HLINK>
																	TITLE_EXPR='"port types"'
																	HKEYS={
																		'contextElement.id';
																		'"wsdl-portType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("wsdl-message-summary") != null'
																TEXT='MSG'
																<DOC_HLINK>
																	TITLE_EXPR='"messages"'
																	HKEYS={
																		'contextElement.id';
																		'"wsdl-message-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs5';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='DETAIL'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("desc") != null'
																TEXT='DESC'
																<DOC_HLINK>
																	TITLE_EXPR='"description"'
																	HKEYS={
																		'contextElement.id';
																		'"desc"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    Array ("xml-source", "xml-source-location")
  )
) != null'
																TEXT='XML SRC'
																<DOC_HLINK>
																	TITLE_EXPR='"XML source"'
																	HKEYS={
																		'contextElement.id';
																		'Array ("xml-source", "xml-source-location")';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='176.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Schema'
				COND='hasParamValue("$navbar_type", "schema")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='176.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='90.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				<DOC_HLINK>
																					HKEYS={
																						'getStringParam("$nsURI")';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																				<DOC_HLINK>
																					COND='hasServiceAttr("embedded")'
																					HKEYS={
																						'findAncestor("wsdl:definitions").id';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='Schema'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='105';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='PREV SCHEMA'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.prevItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NEXT SCHEMA'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.nextItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs3';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='SUMMARY'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-element-summary") != null'
																TEXT='EL'
																<DOC_HLINK>
																	TITLE_EXPR='"elements"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-element-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-complexType-summary") != null'
																TEXT='C-TYPE'
																<DOC_HLINK>
																	TITLE_EXPR='"complex types"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-complexType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-simpleType-summary") != null'
																TEXT='S-TYPE'
																<DOC_HLINK>
																	TITLE_EXPR='"simple types"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-simpleType-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-group-summary") != null'
																TEXT='GR'
																<DOC_HLINK>
																	TITLE_EXPR='"element groups"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-group-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-attribute-summary") != null'
																TEXT='AT'
																<DOC_HLINK>
																	TITLE_EXPR='"global attributes"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-attribute-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("schema-attributeGroup-summary") != null'
																TEXT='A-GR'
																<DOC_HLINK>
																	TITLE_EXPR='"attribute groups"'
																	HKEYS={
																		'contextElement.id';
																		'"schema-attributeGroup-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs5';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='DETAIL'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("annotation") != null'
																TEXT='DESC'
																<DOC_HLINK>
																	TITLE_EXPR='"annotation"'
																	HKEYS={
																		'contextElement.id';
																		'"annotation"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    Array ("xml-source", "xml-source-location")
  )
) != null'
																TEXT='XML SRC'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'Array ("xml-source", "xml-source-location")';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='176.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='XSD component / WSDL definition'
				COND='hasParamValue("$navbar_type", "component")'
				INIT_EXPR='thisContext.setVar (
  "compType",
  instanceOf ("xs:%element") ? "ELEMENT" : 
  instanceOf ("xs:attribute") ? "ATTRIBUTE" :
  instanceOf ("xs:complexType") ? "C-TYPE" :
  instanceOf ("xs:simpleType") ? "S-TYPE" :
  instanceOf ("xs:group") ? "GROUP" :
  instanceOf ("xs:attributeGroup") ? "A-GROUP" :
  instanceOf ("wsdl:service") ? "SERVICE" :
  instanceOf ("wsdl:binding") ? "BINDING" :
  instanceOf ("wsdl:portType") ? "PORTTYPE" :
  instanceOf ("wsdl:message") ? "MESSAGE" :
  "COMPONENT"
);'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='224.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='88.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				<DOC_HLINK>
																					HKEYS={
																						'getStringParam("$nsURI")';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																				<DOC_HLINK>
																					HKEYS={
																						'findAncestor("wsdl:definitions").id';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																				<DOC_HLINK>
																					HKEYS={
																						'findAncestor("xs:schema").id';
																						'Array ("detail", "xml-source")';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='Component'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='107.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<DATA_CTRL>
																EXPR='"PREV " + thisContext.getVar ("compType")'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.prevItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<DATA_CTRL>
																EXPR='"NEXT " + thisContext.getVar ("compType")'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.nextItem.toElement().id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										COND='belongsToNS("xs")'
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs3';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='SUMMARY'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xml-rep-summary") != null'
																TEXT='XML REP'
																<DOC_HLINK>
																	TITLE_EXPR='"XML representation"'
																	HKEYS={
																		'contextElement.id';
																		'"xml-rep-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element | xs:complexType | xs:group")
&&
findHyperTarget ("content-element-summary") != null'
																TEXT='CHILD'
																<DOC_HLINK>
																	TITLE_EXPR='instanceOf ("xs:%element")
  ? "possible children (by content model and substitutions)"
  : "content model elements"'
																	HKEYS={
																		'contextElement.id';
																		'Array (
  "content-element-summary",
  "children-by-substitutions"
)';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element")
&&
findHyperTarget (
  Array (
    Array (
      "containing-elements",
      "parents-by-substitutions"
    )
  )
) != null'
																TEXT='PARENT'
																<DOC_HLINK>
																	TITLE_EXPR='"possible parents (by content models and substitutions)"'
																	HKEYS={
																		'contextElement.id';
																		'Array (
  "containing-elements",
  "parents-by-substitutions"
)';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:attribute")
&&
findHyperTarget ("containing-elements") != null'
																TEXT='ELEMENT'
																<DOC_HLINK>
																	TITLE_EXPR='"possible containing element"'
																	HKEYS={
																		'contextElement.id';
																		'"containing-elements"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element")
&&
findHyperTarget (
  Array (
    contextElement.id,
    Array (
      "substitution-group-heads",
      "substitution-group-members"
    )
  )
) != null'
																TEXT='SUBST'
																<DOC_HLINK>
																	TITLE_EXPR='"substitution groups"'
																	HKEYS={
																		'contextElement.id';
																		'Array (
  "substitution-group-heads",
  "substitution-group-members"
)';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:complexType | xs:simpleType")
&&
findHyperTarget (
  Array (
    Array (
      "direct-subtypes",
      "indirect-subtypes",
      "based-elements",
      "based-attributes"
    )
  )
) != null'
																TEXT='DERIVED'
																<DOC_HLINK>
																	TITLE_EXPR='"derived components"'
																	HKEYS={
																		'contextElement.id';
																		'Array (
  "direct-subtypes",
  "indirect-subtypes",
  "based-elements",
  "based-attributes"
)';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    Array (
      "usage-locations",
      "def-locations"
    )
  )
) != null'
																TEXT='USE'
																<DOC_HLINK>
																	TITLE_EXPR='"usage locations"'
																	HKEYS={
																		'contextElement.id';
																		'"usage-locations"';
																	}
																</DOC_HLINK>
																<DOC_HLINK>
																	COND='instanceOf ("xs:%localElement")'
																	TITLE_EXPR='"definition locations"'
																	HKEYS={
																		'contextElement.id';
																		'"def-locations"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs5';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='DETAIL'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("annotation") != null'
																TEXT='DESC'
																<DOC_HLINK>
																	TITLE_EXPR='"annotation"'
																	HKEYS={
																		'contextElement.id';
																		'"annotation"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    Array ("xml-source", "xml-source-location")
  )
) != null'
																TEXT='XML SRC'
																<DOC_HLINK>
																	TITLE_EXPR='"XML source"'
																	HKEYS={
																		'contextElement.id';
																		'Array ("xml-source", "xml-source-location")';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element | xs:attribute | xs:complexType | xs:simpleType")
&&
findHyperTarget ("type-def-detail") != null'
																TEXT='TYPE'
																<DOC_HLINK>
																	TITLE_EXPR='instanceOf ("xs:%element") ? "element type"
 : instanceOf ("xs:attribute") ? "attribute type"
    : "type definition"'
																	HKEYS={
																		'contextElement.id';
																		'"type-def-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element | xs:complexType | xs:attributeGroup")
&&
findHyperTarget ("attribute-detail") != null'
																TEXT='ATTR'
																<DOC_HLINK>
																	TITLE_EXPR='"content attributes"'
																	HKEYS={
																		'contextElement.id';
																		'"attribute-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("xs:%element | xs:complexType | xs:group")
&&
findHyperTarget ("content-element-detail") != null'
																TEXT='CHILD'
																<DOC_HLINK>
																	TITLE_EXPR='"content elements"'
																	HKEYS={
																		'contextElement.id';
																		'"content-element-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										COND='belongsToNS("wsdl")'
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs3';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='SUMMARY'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("wsdl:message")
&&
findHyperTarget ("usage-locations") != null'
																TEXT='USE'
																<DOC_HLINK>
																	TITLE_EXPR='"usage locations"'
																	HKEYS={
																		'contextElement.id';
																		'"usage-locations"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("wsdl:binding | wsdl:portType")'
																TEXT='OPERATION'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"operation-summary"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs5';
													text.style='cs3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='DETAIL'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text=': ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("desc") != null'
																TEXT='DESC'
																<DOC_HLINK>
																	TITLE_EXPR='"description"'
																	HKEYS={
																		'contextElement.id';
																		'"desc"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget (
  Array (
    Array ("xml-source", "xml-source-location")
  )
) != null'
																TEXT='XML SRC'
																<DOC_HLINK>
																	TITLE_EXPR='"XML source"'
																	HKEYS={
																		'contextElement.id';
																		'Array ("xml-source", "xml-source-location")';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("wsdl:service")
&&
findHyperTarget ("port-detail") != null'
																TEXT='PORT'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"port-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("wsdl:binding | wsdl:portType")
&&
findHyperTarget ("operation-detail") != null'
																TEXT='OPERATION'
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"operation-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='text';
																	txtfl.separator.text=' | ';
																	txtfl.separator.override='false';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='instanceOf ("wsdl:message")
&&
findHyperTarget ("part-detail") != null'
																TEXT='PART'
																<DOC_HLINK>
																	TITLE_EXPR='"message parts"'
																	HKEYS={
																		'contextElement.id';
																		'"part-detail"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='224.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='Index'
				COND='hasParamValue("$navbar_type", "index")'
				MATCHING_ETS={'#CUSTOM';'#DOCUMENTS'}
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='156';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='89.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				<DOC_HLINK>
																					HKEYS={
																						'"single-package"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-tree"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																	tcell.style='tcs6';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT='Index'
																				FMT={
																					text.style='cs9';
																				}
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='106.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='323.3';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																MATCHING_ET='#CUSTOM'
																TEXT='PREV LETTER'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.prevItem.toElement().value';
																		'"index"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='#DOCUMENTS'
																TEXT='PREV'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																MATCHING_ET='#CUSTOM'
																TEXT='NEXT LETTER'
																<DOC_HLINK>
																	HKEYS={
																		'mainContext.iterator.nextItem.toElement().value';
																		'"index"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='#DOCUMENTS'
																TEXT='NEXT'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312.8';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<SS_CALL_CTRL>
												SS_NAME='Letter Bar'
												FMT={
													ctrl.size.width='636';
													ctrl.size.height='18';
													tcell.style='tcs1';
													text.style='cs7';
												}
											</SS_CALL_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='156';
									tcell.align.horz='Right';
									tcell.align.vert='Top';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='(default)'
				FMT={
					sec.outputStyle='table';
					table.sizing='Relative';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							trow.cell.align.vert='Top';
						}
						<CTRLS>
							<PANEL>
								FMT={
									content.outputStyle='table';
									ctrl.size.width='657';
									ctrl.size.height='128.3';
									text.font.name='Arial';
									table.sizing='Relative';
									table.cell.padding.both='0';
									table.border.style='none';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													content.outputStyle='table';
													ctrl.size.width='636';
													ctrl.size.height='59.3';
													tcell.style='tcs7';
													text.style='cs7';
													text.spacing.nbsp='true';
													text.hlink.fmt='style';
													text.hlink.style='cs8';
													text.hlink.style.use='override';
													txtfl.separator.type='none';
													table.cell.spacing.both='2';
													table.cell.padding.both='0';
													table.border.style='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<PANEL>
																COND='getBooleanParam("gen.overview")'
																FMT={
																	ctrl.size.width='90.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Overview'
																				FMT={
																					text.style='cs7';
																				}
																				<DOC_HLINK>
																					HKEYS={
																						'"overview-summary"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.namespace")'
																FMT={
																	ctrl.size.width='96';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Namespace'
																				<DOC_HLINK>
																					COND='getParam("$nsURI") != null'
																					HKEYS={
																						'getStringParam("$nsURI")';
																						'"detail"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-wsdl-count") > 0'
																FMT={
																	ctrl.size.width='73.5';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='WSDL'
																				<DOC_HLINK>
																					HKEYS={
																						'(instanceOf("wsdl:definitions")
  ? contextElement
  : findAncestor("wsdl:definitions")).id';
																						'hasParamValue("$navbar_type", "wsdl_file_source")
 ? Array ("detail") : Array ("detail", "xml-source")';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getIntVar("documented-schema-count") > 0'
																FMT={
																	ctrl.size.width='81.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Schema'
																				<DOC_HLINK>
																					HKEYS={
																						'(instanceOf("xs:schema")
  ? contextElement : findAncestor("xs:schema")).id';
																						'hasParamValue("$navbar_type", "schema_source")
 ? Array ("detail") : Array ("detail", "xml-source")';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																FMT={
																	ctrl.size.width='93.8';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Component'
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL>
																COND='getBooleanParam("gen.index")'
																FMT={
																	ctrl.size.width='74.3';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Index'
																				<DOC_HLINK>
																					HKEYS={
																						'"index"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
															<PANEL DISABLED='true'>
																FMT={
																	ctrl.size.width='105';
																	ctrl.size.height='38.3';
																}
																<AREA>
																	<CTRL_GROUP>
																		<CTRLS>
																			<TEXT_CTRL>
																				TEXT='Help'
																				<DOC_HLINK>
																					HKEYS={
																						'"help"';
																					}
																				</DOC_HLINK>
																			</TEXT_CTRL>
																			<TEXT_CTRL>
																				TEXT=' '
																			</TEXT_CTRL>
																		</CTRLS>
																	</CTRL_GROUP>
																</AREA>
															</PANEL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
									<CTRL_GROUP>
										<CTRLS>
											<PANEL>
												FMT={
													ctrl.size.width='324';
													ctrl.size.height='38.3';
													tcell.style='tcs2';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='PREV'
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NEXT'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
											<PANEL>
												FMT={
													ctrl.size.width='312';
													ctrl.size.height='38.3';
													tcell.style='tcs4';
													text.style='cs3';
													text.hlink.fmt='style';
													text.hlink.style='cs5';
													text.hlink.style.use='modify';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='makeRelativePath (mainContext.output.file, output.dir).toURL()
+ \'?\' +
makeRelativePath (output.file, mainContext.output.dir).toURL()'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	txtfl.separator.type='nbtxt';
																	txtfl.separator.text='   ';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																TEXT='NO FRAMES'
																<URL_HLINK>
																	TARGET_FRAME_EXPR='"_top"'
																	URL_EXPR='output.fileName'
																</URL_HLINK>
															</TEXT_CTRL>
															<SEPARATOR>
																FMT={
																	text.style='cs4';
																}
															</SEPARATOR>
															<TEXT_CTRL>
																COND='findHyperTarget ("xmlns-bindings") != null'
																TEXT='NS-Bindings'
																<DOC_HLINK>
																	COND='! hasParamValue("$navbar_type", "ns_bindings")'
																	TITLE_EXPR='"Namespace Bindings"'
																	HKEYS={
																		'"xmlns-bindings"';
																	}
																</DOC_HLINK>
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								COND='getStringParam("$navbar_text").length() > 0'
								EXPR='getParam("$navbar_text")'
								FMT={
									ctrl.size.width='66.8';
									ctrl.size.height='128.3';
									tcell.align.horz='Right';
									text.style='cs6';
									txtfl.ehtml.render='true';
								}
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<AREA_SEC>
		COND='getBooleanParam("$bottom_rule")'
		<AREA>
			<HR>
				FMT={
					hr.style='hrs1';
				}
			</HR>
		</AREA>
	</AREA_SEC>
</ROOT>
<STOCK_SECTIONS>
	<ELEMENT_ITER>
		SS_NAME='Letter Bar'
		TARGET_ET='#CUSTOM'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='toCustomElements (getElementMapKeys ("index"))'
		SORTING='by-expr'
		SORTING_KEY={expr='/* this sorting key places \'_\' at the end of the list */

letter = contextElement.value.toString();
letter != "_" ? "!" + letter : letter',ascending}
		FMT={
			sec.outputStyle='list';
			list.type='delimited';
			list.item.separator.type='space';
			list.item.separator.text='';
		}
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								ELEMENT_VALUE
								<DOC_HLINK>
									HKEYS={
										'"index"';
										'contextElement.value';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</STOCK_SECTIONS>
CHECKSUM='N1LEHMl?JQ1p++mifj+J8BDd9Dt9UWL5m33EZzIkJUw'
</FLEXDOCXYZ_TEMPLATE>