<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2005-04-26 03:31:00'
LAST_UPDATE='2021-11-28 13:49:07'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
	}
	PARAM={
		param.name='$title';
		param.title='Title of the compoment being documented';
		param.type='string';
	}
	PARAM={
		param.name='$contentModelKey';
		param.title='"content-model-attributes" map key';
		param.description='The key for "content-model-attributes" map to find all attributes associated with this schema component';
		param.type='Object';
		param.defaultValue.expr='contextElement.id';
	}
	PARAM={
		param.name='$attributeCount';
		param.title='number of all attributes';
		param.description='total number of attributes declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
   instanceOf ("xs:%attribute") &&
   getAttrValue("use") != "prohibited"
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$attributeWildcardCount';
		param.title='number of all attr. wildcards';
		param.description='total number of attribute wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:anyAttribute"))
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeCount';
		param.title='number of attributes defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:%attribute") &&
    getAttrValue("use") != "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeWildcardCount';
		param.title='number of attr. wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:anyAttribute") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownAttributeProhibitionCount';
		param.title='number of attr. prohibitions specified in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-attributes", 
  getParam("$contentModelKey"),
  BooleanQuery (
    getAttrValue("use") == "prohibited" &&
    findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id
    == rootElement.id
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$allCount';
		param.title='number of all definitions';
		param.type='integer';
		param.defaultValue.expr='getIntParam("$attributeCount") +
getIntParam("$attributeWildcardCount") +
getIntParam("$ownAttributeProhibitionCount")';
		param.fixed='true';
	}
	PARAM={
		param.name='$ownCount';
		param.title='number of all definitions specified in this component';
		param.type='integer';
		param.defaultValue.expr='getIntParam("$ownAttributeCount") +
getIntParam("$ownAttributeWildcardCount") +
getIntParam("$ownAttributeProhibitionCount")';
		param.fixed='true';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='doc.comp.attributes';
		param.title='Attribute Detail';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.include';
		param.title='Include';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.attributes.include.inherited';
		param.title='Inherited';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.include.local';
		param.title='Local';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.include.references';
		param.title='References';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.include.wildcard';
		param.title='Wildcard';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.include.prohibitions';
		param.title='Prohibitions';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile';
		param.title='Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.form';
		param.title='Form';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
		param.defaultValue='non_default';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.use';
		param.title='Usage';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.default';
		param.title='Default Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.fixed';
		param.title='Fixed Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.profile.defined';
		param.title='Definition Location';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value';
		param.title='Attribute Value';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value.model';
		param.title='Datatype Model';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value.restrictions';
		param.title='Restrictions';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value.restrictions.annotation';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value.default';
		param.title='Default Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.value.fixed';
		param.title='Fixed Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.type';
		param.title='Type Detail';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.type.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.attributes.type.for.attr';
		param.title='Attributes';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='local;any';
	}
	PARAM={
		param.name='doc.comp.attributes.type.for.typeDecl';
		param.title='Type Declarations';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='anonymous;any';
	}
	PARAM={
		param.name='doc.comp.attributes.type.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.type.deriv.tree';
		param.title='Type Derivation Tree';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.type.deriv.simpleContent';
		param.title='Simple Content Derivation';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='enum';
		param.enum.values='local;full;none';
	}
	PARAM={
		param.name='doc.comp.attributes.type.deriv.simpleContent.facets';
		param.title='Facets';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.type.deriv.simpleContent.annotations';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.xml';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.attributes.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle.namespace';
		param.title='Namespace URI';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Derivation Tree Heading (Small)';
		style.id='ps1';
		text.font.size='8';
		text.font.style.bold='true';
		text.color.foreground='#990000';
		par.margin.bottom='6';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Derivation Tree Method (Small)';
		style.id='cs2';
		text.font.name='Verdana';
		text.font.size='7';
		text.color.foreground='#F59200';
	}
	CHAR_STYLE={
		style.name='Derivation Tree Type (Small)';
		style.id='cs3';
		text.font.name='Courier New';
		text.font.size='7.5';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs4';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Description (Tiny)';
		style.id='cs5';
		text.font.name='Arial';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5 (Mono)';
		style.id='ps3';
		text.font.name='Courier New';
		text.font.size='9';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 6';
		style.id='ps4';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
		text.font.style.italic='true';
		text.color.background='#CCCCFF';
		text.color.opaque='true';
		par.margin.top='7';
		par.margin.bottom='7';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs6';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs7';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs8';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs9';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps5';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs10';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps6';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps7';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='Representation Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
		table.page.keepTogether='true';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts2';
		table.autofit='false';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs8';
}
<ROOT>
	<ELEMENT_ITER>
		STEP_EXPR='// schema component where the attribute was defined

setVar (
  "definitionLocation",
  findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup")
)'
		TARGET_ETS={'xs:%attribute';'xs:anyAttribute'}
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='findElementsByKey (
  "content-model-attributes",

  // the key to find all items associated with this component
  getParam("$contentModelKey"),

  // filter according template parameters
  BooleanQuery (instanceOf ("xs:%attribute | xs:anyAttribute") && {
    // if this is an attribute prohibition
    getAttrValue("use") == "prohibited" ?
      // check if it\'s requested to be printed
      getBooleanParam("doc.comp.attributes.include.prohibitions") &&
      // only prohibitions specified in this component are relevant!
      findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id == rootElement.id
    :
    // otherwise, when this is a local attribute, reference or wildcard, check if such
    // a kind is requested to be printed
    (getAttrValue("name") != null ? getBooleanParam("doc.comp.attributes.include.local") :
     getAttrValue("ref") != null ? getBooleanParam("doc.comp.attributes.include.references") :
     instanceOf ("xs:anyAttribute") && getBooleanParam("doc.comp.attributes.include.wildcard"))
    &&
    // at last, if inherited definitions should be excluded, test if this one is
    // specified in the current component (passed as the template\'s root element)
    (getBooleanParam("doc.comp.attributes.include.inherited") ||
     findPredecessorByType("xs:%element|xs:complexType|xs:attributeGroup").id == rootElement.id)
  })
)'
		SORTING='by-expr'
		SORTING_KEY={expr='instanceOf("xs:anyAttribute")
  ? callStockSection("Any Attribute")
  : hasAttr("name")
    ? callStockSection("Attribute Name") 
    : getAttrQNameValue("ref").toXMLName (Array (rootElement, contextElement))',ascending}
		SORTING_COND='getBooleanParam("doc.comp.attributes.sorting")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"attribute-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Attribute Detail'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs7';
								}
							</SEPARATOR>
							<SS_CALL_CTRL>
								SS_NAME='scope'
								FMT={
									text.style='cs6';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				DESCR='when this is a prohibited attribute'
				COND='getAttrValue("use") == "prohibited"'
				MATCHING_ET='xs:%attribute'
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					HKEYS={
						'rootElement.id';
						'"attribute-prohibition"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						DESCR='when the attribute name is specified'
						COND='getAttrValue("name") != ""'
						MATCHING_ET='xs:%attribute'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Attribute Name'
										FMT={
											text.decor.strikethrough='true';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='when a reference is specified, which can be resolved into a documented global attribute'
						COND='sectionBlock.execSecNone'
						CONTEXT_ELEMENT_EXPR='findElementByKey (
  "global-attributes", getAttrQNameValue("ref"),
  BooleanQuery (
    checkElementByKey (
      "main-xsds",
      getXMLDocument().id,
      getElementParam("$mainXSD")
    )
  )
)'
						MATCHING_ET='xs:%attribute'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
										FMT={
											text.decor.strikethrough='true';
										}
									</SS_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='165.8';
											ctrl.size.height='38.3';
											text.style='cs10';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, unresolved referenced'
						COND='sectionBlock.execSecNone'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<DATA_CTRL>
										EXPR='getAttrQNameValue("ref").toXMLName (Array (rootElement, contextElement))'
										FMT={
											text.decor.strikethrough='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Attribute (prohibition)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, when the attribute is defined locally'
				COND='sectionBlock.execSecNone && getAttrValue("name") != ""'
				MATCHING_ET='xs:%attribute'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"attribute-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						MATCHING_ET='xs:%attribute'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Attribute Name'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Attribute (local)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, when this is a reference to a global attribute'
				COND='sectionBlock.execSecNone && getAttrValue("ref") != null'
				MATCHING_ET='xs:%attribute'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"attribute-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						DESCR='when the reference is resolved into a documented global attribute'
						CONTEXT_ELEMENT_EXPR='findElementByKey (
  "global-attributes", getAttrQNameValue("ref"),
  BooleanQuery (
    checkElementByKey (
      "main-xsds",
      getXMLDocument().id,
      getElementParam("$mainXSD")
    )
  )
)'
						MATCHING_ET='xs:%attribute'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='165';
											ctrl.size.height='38.3';
											text.style='cs10';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, the referenced global attribute is not within documentation scope'
						COND='sectionBlock.execSecNone'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<DATA_CTRL>
										EXPR='getAttrQNameValue("ref").toXMLName (Array (rootElement, contextElement))'
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Attribute (reference)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, if this is an attribute wildcard'
				COND='sectionBlock.execSecNone'
				MATCHING_ET='xs:anyAttribute'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					HKEYS={
						'rootElement.id';
						'"attribute-wildcard"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"attribute-wildcard-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						MATCHING_ET='xs:anyAttribute'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/attribute.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Any Attribute'
										FMT={
											text.font.style.italic='true';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Attribute (wildcard)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='annotation'
		MATCHING_ET='xs:%annotated'
		TEMPLATE_FILE='../ann/annotation.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Any Attribute'
		DESCR='print the representation of the attribute wildcard'
		MATCHING_ET='xs:anyAttribute'
		TEMPLATE_FILE='../component/wildcard.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='Attribute (local)'
		DESCR='params[0]: the schema component where this attribute is defined'
		MATCHING_ET='xs:%attribute'
		INIT_EXPR='typeQName = getAttrQNameValue("type");

type = (typeQName != null) ?
         findElementByKey ("types", typeQName,
           BooleanQuery (checkElementByKey (
             "main-xsds",
             getXMLDocument().id,
             getElementParam("$mainXSD")
           ))
         )
       : findChild("xs:simpleType");

stockSection.setVar ("attrTypeQName", typeQName);
stockSection.setVar ("attrType", type);'
		<BODY>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.comp.attributes.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.border.css.render='true';
				}
				<BODY>
					<AREA_SEC>
						COND='! hasParamValue("doc.comp.attributes.profile.form", "none")
&&
(
  getAttrValue("form") != null
  ||
  hasParamValue("doc.comp.attributes.profile.form", "any") &&
    findAncestor("xs:schema").getAttrValue ("attributeFormDefault") != null
)'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Form:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='38.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='38.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='namespace'
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text='-';
														}
													</SEPARATOR>
													<DATA_CTRL>
														EXPR='(form = getAttrValue("form")) == null ?
  form = findAncestor("xs:schema").getAttrValue ("attributeFormDefault");

(form != "qualified") ? "unqualified" : form'
														FMT={
															ctrl.size.width='372';
															ctrl.size.height='17';
														}
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.type")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Type:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Attribute Type'
										PARAMS_EXPR='Array (stockSection.getElementVar("attrType"))'
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.use") &&
hasAttr("use")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Use:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='use'
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.default") &&
hasAttr("default")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Default:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("default") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs9';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.fixed") &&
hasAttr("fixed")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Fixed:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("fixed") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs9';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='44.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='455.3';
											ctrl.size.height='140.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='locally'
														<DOC_HLINK>
															COND='stockSection.param.toElement().id != rootElement.id'
															HKEYS={
																'contextElement.id';
																'"def"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType'}
														FMT={
															ctrl.size.width='367';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			text.style='cs9';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:attributeGroup'
																		TEXT='attributeGroup'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.attributes.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='289.5';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs10';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.attributes.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs4';
				}
			</SS_CALL>
			<FOLDER COLLAPSED='true'>
				DESCR='ATTRIBUTE VALUE'
				COND='getBooleanParam("doc.comp.attributes.value")'
				FMT={
					sec.spacing.before='7';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							sec.outputStyle='pars';
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Attribute Value'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.value.model")
&&
! isXSPredefinedType (
  stockSection.getQNameVar("attrTypeQName")
)'
						CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("attrType")'
						MATCHING_ET='xs:%simpleType'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							table.style='ts1';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../component/simpleContentRep.tpl'
										PASSED_PARAMS={
											'$abbreviateEnum','getBooleanParam("doc.comp.attributes.value.restrictions")';
											'$xmlContext','rootElement';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
											text.style='cs9';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='table layout'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='3';
							table.cell.padding.both='0';
							table.border.style='none';
							table.border.css.render='true';
						}
						<BODY>
							<ELEMENT_ITER>
								DESCR='Iterate By Actual Facets'
								COND='getBooleanParam("doc.comp.attributes.value.restrictions")
&&
! isXSPredefinedType (
  stockSection.getQNameVar("attrTypeQName")
)'
								TARGET_ET='xs:%facet'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='findElementsByKey (
  "facets",
  stockSection.getElementVar("attrType").id
)'
								GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='name = contextElement.localName;
name.charAt(0).toUpperCase() + name.substring(1) + \':\''
														FMT={
															ctrl.size.width='43.5';
															ctrl.size.height='18';
															tcell.align.vert='Top';
															par.style='ps6';
														}
													</DATA_CTRL>
													<TEMPLATE_CALL_CTRL>
														TEMPLATE_FILE='../component/facet.tpl'
														PASSED_PARAMS={
															'$facet.annotation','getBooleanParam("doc.comp.attributes.value.restrictions.annotation")';
															'$comp','stockSection.contextElement';
														}
														FMT={
															ctrl.size.width='456';
															ctrl.size.height='18';
															tcell.align.vert='Bottom';
														}
													</TEMPLATE_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<AREA_SEC>
								COND='hasAttr("default") &&
getBooleanParam("doc.comp.attributes.value.default")'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Default:'
												FMT={
													ctrl.size.width='45';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("default") +\'"\''
												FMT={
													ctrl.size.width='454.5';
													ctrl.size.height='18';
													text.style='cs9';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='hasAttr("fixed") &&
getBooleanParam("doc.comp.attributes.value.fixed")'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Fixed:'
												FMT={
													ctrl.size.width='45';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("fixed") +\'"\''
												FMT={
													ctrl.size.width='454.5';
													ctrl.size.height='18';
													text.style='cs9';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='TYPE DETAIL (case of anonymous type)'
				COND='getBooleanParam("doc.comp.attributes.type")'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("attrType")'
				MATCHING_ET='xs:%localSimpleType'
				SS_NAME='Type Detail'
			</SS_CALL>
			<SS_CALL>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.comp.attributes.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
			<SS_CALL>
				DESCR='TYPE DETAIL (case of referenced global type)'
				COND='getBooleanParam("doc.comp.attributes.type") &&
hasParamValue("doc.comp.attributes.type.for.typeDecl", "any") &&
{
  type = stockSection.getElementVar("attrType");

  type.instanceOf("xs:simpleType") &&
    ! isXSPredefinedType(stockSection.getQNameVar("attrTypeQName"))
}'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("attrType")'
				MATCHING_ET='xs:simpleType'
				SS_NAME='Type Detail'
				PARAMS_EXPR='Array (stockSection.getVar("attrTypeQName"))'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Attribute (prohibition)'
		MATCHING_ET='xs:%attribute'
		<BODY>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.comp.attributes.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<BODY>
					<AREA_SEC>
						COND='hasAttr("use")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Use:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='use'
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.attributes.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs4';
				}
			</SS_CALL>
			<SS_CALL>
				DESCR='XML SOURCE (local)'
				COND='getBooleanParam("doc.comp.attributes.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Attribute (reference)'
		DESCR='params[0]: the schema component where this attribute is defined'
		MATCHING_ET='xs:%attribute'
		INIT_EXPR='// referenced global attribute

globalAttr = findElementByKey (
  "global-attributes", getAttrQNameValue("ref"),
  BooleanQuery (
    checkElementByKey (
      "main-xsds",
      getXMLDocument().id,
      getElementParam("$mainXSD")
    )
  )
);

stockSection.setVar ("globalAttr", globalAttr);

// attribute type

typeQName = globalAttr.getAttrQNameValue("type");

type = (typeQName != null) ?
         findElementByKey ("types", typeQName,
           BooleanQuery (checkElementByKey (
             "main-xsds",
             getXMLDocument().id,
             getElementParam("$mainXSD")
           ))
         ) 
       : globalAttr.findChild("xs:simpleType");

stockSection.setVar ("attrTypeQName", typeQName);
stockSection.setVar ("attrType", type);'
		<BODY>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.comp.attributes.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<BODY>
					<AREA_SEC>
						COND='hasParamValue("doc.comp.attributes.profile.form", "any")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Form:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='namespace-qualified'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Type:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Attribute Type'
										PASSED_ELEMENT_EXPR='stockSection.getElementVar("globalAttr")'
										PASSED_ELEMENT_MATCHING_ET='xs:attribute'
										PARAMS_EXPR='Array (stockSection.getElementVar("attrType"))'
										ALT_EXPR='"???"'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='hasAttr("use")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Use:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='use'
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='See "Processing | Context Element" tab'
						COND='getBooleanParam("doc.comp.attributes.profile.default")

// see also "Context Element" tab'
						CONTEXT_ELEMENT_EXPR='hasAttr("default") ? contextElement :
{
  globalAttr = stockSection.getElementVar("globalAttr");
  globalAttr.hasAttr("default") ? globalAttr : null
}'
						MATCHING_ET='xs:%attribute'
						<AREA>
							<CTRL_GROUP>
								FMT={
									trow.cell.align.vert='Top';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Default:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("default") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs9';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='See "Processing | Context Element" tab'
						COND='getBooleanParam("doc.comp.attributes.profile.fixed")

// see also "Context Element" tab'
						CONTEXT_ELEMENT_EXPR='globalAttr = stockSection.getElementVar("globalAttr");
globalAttr.hasAttr("fixed") ? globalAttr
  : hasAttr("fixed") ? contextElement : null'
						MATCHING_ET='xs:%attribute'
						<AREA>
							<CTRL_GROUP>
								FMT={
									trow.cell.align.vert='Top';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Fixed:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("fixed") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs9';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								FMT={
									trow.cell.align.vert='Top';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='44.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='455.3';
											ctrl.size.height='140.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='by reference'
														<DOC_HLINK>
															COND='stockSection.param.toElement().id != rootElement.id'
															HKEYS={
																'stockSection.contextElement.id';
																'"def"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType'}
														FMT={
															ctrl.size.width='352.5';
															ctrl.size.height='59';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			ctrl.size.width='118.5';
																			ctrl.size.height='17';
																			text.style='cs9';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:attributeGroup'
																		TEXT='attributeGroup'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.attributes.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='289.5';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs10';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.attributes.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs4';
				}
			</SS_CALL>
			<FOLDER COLLAPSED='true'>
				DESCR='ATTRIBUTE VALUE'
				COND='getBooleanParam("doc.comp.attributes.value")'
				FMT={
					sec.spacing.before='7';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							sec.outputStyle='pars';
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Attribute Value'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.value.model")
&&
! isXSPredefinedType (
  stockSection.getQNameVar("attrTypeQName")
)'
						CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("attrType")'
						MATCHING_ET='xs:%simpleType'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							table.style='ts1';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../component/simpleContentRep.tpl'
										PASSED_PARAMS={
											'$abbreviateEnum','getBooleanParam("doc.comp.attributes.value.restrictions")';
											'$xmlContext','rootElement';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
											text.style='cs9';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='table layout'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='3';
							table.cell.padding.both='0';
							table.border.style='none';
							table.border.css.render='true';
						}
						<BODY>
							<ELEMENT_ITER>
								DESCR='Iterate By Actual Facets'
								COND='getBooleanParam("doc.comp.attributes.value.restrictions")
&&
! isXSPredefinedType (
  stockSection.getQNameVar("attrTypeQName")
)'
								TARGET_ET='xs:%facet'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='findElementsByKey (
  "facets",
  stockSection.getElementVar("attrType").id
)'
								GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='name = contextElement.localName;
name.charAt(0).toUpperCase() + name.substring(1) + \':\''
														FMT={
															ctrl.size.width='43.5';
															ctrl.size.height='18';
															tcell.align.vert='Top';
															par.style='ps6';
														}
													</DATA_CTRL>
													<TEMPLATE_CALL_CTRL>
														TEMPLATE_FILE='../component/facet.tpl'
														PASSED_PARAMS={
															'$facet.annotation','getBooleanParam("doc.comp.attributes.value.restrictions.annotation")';
															'$comp','stockSection.contextElement';
														}
														FMT={
															ctrl.size.width='456';
															ctrl.size.height='18';
															tcell.align.vert='Bottom';
														}
													</TEMPLATE_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<AREA_SEC>
								DESCR='See "Processing | Context Element" tab'
								COND='getBooleanParam("doc.comp.attributes.value.default")

// see also "Context Element" tab'
								CONTEXT_ELEMENT_EXPR='hasAttr("default") ? contextElement :
{
  globalAttr = stockSection.getElementVar("globalAttr");
  globalAttr.hasAttr("default") ? globalAttr : null
}'
								MATCHING_ET='xs:%attribute'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Default:'
												FMT={
													ctrl.size.width='45';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("default") +\'"\''
												FMT={
													ctrl.size.width='454.5';
													ctrl.size.height='18';
													text.style='cs9';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								DESCR='See "Processing | Context Element" tab'
								COND='getBooleanParam("doc.comp.attributes.value.fixed")

// see also "Context Element" tab'
								CONTEXT_ELEMENT_EXPR='globalAttr = stockSection.getElementVar("globalAttr");

globalAttr.hasAttr("fixed") ? globalAttr
  : hasAttr("fixed") ? contextElement : null'
								MATCHING_ET='xs:%attribute'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Fixed:'
												FMT={
													ctrl.size.width='45';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("fixed") +\'"\''
												FMT={
													ctrl.size.width='454.5';
													ctrl.size.height='18';
													text.style='cs9';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='XML SOURCE (local)'
				COND='getBooleanParam("doc.comp.attributes.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
			<SS_CALL>
				DESCR='TYPE DETAIL'
				COND='getBooleanParam("doc.comp.attributes.type") &&
hasParamValue("doc.comp.attributes.type.for.attr", "any") &&
{
  type = stockSection.getElementVar("attrType");

  type.instanceOf("xs:simpleType") ?
    hasParamValue("doc.comp.attributes.type.for.typeDecl", "any") &&
    ! isXSPredefinedType(stockSection.getQNameVar("attrTypeQName"))
  : true
}'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("attrType")'
				MATCHING_ET='xs:%simpleType'
				SS_NAME='Type Detail'
				PARAMS_EXPR='Array (stockSection.getVar("attrTypeQName"))'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Attribute (wildcard)'
		DESCR='parameter is the schema component where this attribute is defined'
		MATCHING_ET='xs:anyAttribute'
		<BODY>
			<FOLDER>
				COND='getBooleanParam("doc.comp.attributes.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.border.css.render='true';
				}
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.attributes.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='44.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='455.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Bottom';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType'}
														FMT={
															ctrl.size.width='371';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			text.style='cs9';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:attributeGroup'
																		TEXT='attributeGroup'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.attributes.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='289.5';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs10';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs10';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.attributes.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs4';
				}
			</SS_CALL>
			<SS_CALL>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.comp.attributes.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<AREA_SEC>
		SS_NAME='Attribute Name'
		MATCHING_ET='xs:%attribute'
		FMT={
			par.option.nowrap='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='name = getAttrStringValue("name");
schema = findAncestor ("xs:schema");

form = hasAttr("form") ? getAttrValue("form") : 
          schema.getAttrValue ("attributeFormDefault");

form == "qualified" 
  ? toXMLName (
      schema.getServiceAttr("targetNamespace").toString(), 
      name,
      Array (rootElement, contextElement)
    )
  : name'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		SS_NAME='Attribute Type'
		DESCR='context element must be the attribute declaration (not a reference to it);
params[0]: the attribute type element'
		MATCHING_ET='xs:%attribute'
		FMT={
			sec.outputStyle='text-par';
		}
		<BODY>
			<FOLDER>
				DESCR='when the attribute type is known'
				CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
				MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='in case of the global type (specified in \'type\' attribute); see "Component | Context Element" tab'
						MATCHING_ET='xs:simpleType'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SS_CALL_CTRL>
										COND='rootElement.id != contextElement.id'
										SS_NAME='Component Name'
										FMT={
											text.style='cs9';
										}
									</SS_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='154.5';
											text.style='cs10';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, this is the case of an anonymous type'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='anonymous'
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'Array ("local", "detail", "xml-source-location")';
												'Array (rootElement.id, NoKey(), NoKey())';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='instanceOf ("xs:%simpleType") ? "simpleType" : "complexType"'
									</DATA_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../type/typeDerivationSummary.tpl'
									</TEMPLATE_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
(
  findHyperTarget (Array (
    contextElement.id,
    "local",
    rootElement.id
  )) != null
  ||
  findHyperTarget (Array (
    contextElement.id,
    Array ("detail", "xml-source-location")
  )) != null
)'
										FMT={
											ctrl.size.width='154.5';
											text.style='cs10';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"local"';
																'rootElement.id';
															}
														</DOC_HLINK>
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, the attribute type is unknown'
				<BODY>
					<AREA_SEC>
						DESCR='when there is a type name specified in the \'type\' attribute'
						COND='getAttrStringValue("type") != ""'
						BREAK_PARENT_BLOCK='when-executed'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='getAttrQNameValue("type").toXMLName (
  Array (rootElement, contextElement))'
										FMT={
											text.style='cs9';
										}
									</DATA_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										COND='isXSPredefinedType (getAttrQNameValue("type"))'
										TEXT='predefined'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, no type specified at all -- assume \'xs:anySimpleType\''
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='toXMLName (
  getNamespaceURI("xs"), "anySimpleType",
  rootElement
)'
										FMT={
											text.style='cs9';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='Component Name'
		DESCR='prints the XML (qualified or local) name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../component/componentName.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
			'show.elementNameExt','"never"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='scope'
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='space';
		}
		<BODY>
			<AREA_SEC>
				DESCR='when inherited attributes are included'
				COND='getBooleanParam("doc.comp.attributes.include.inherited")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								COND='iterator.numItems == getIntParam("$allCount")'
								TEXT='all declarations'
							</TEXT_CTRL>
							<PANEL>
								COND='iterator.numItems != getIntParam("$allCount")'
								FMT={
									ctrl.size.width='223.5';
									ctrl.size.height='38';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
										<CTRLS>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.local")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local attributes'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.references")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("ref") != "")
) != null'
												TEXT='references'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.wildcard")
&&
findElementByType (iterator.items, "xs:anyAttribute") != null'
												TEXT='wildcard'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.prohibitions")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("use") == "prohibited")
) != null'
												TEXT='prohibitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='iterator.numItems'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='/';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='getIntParam("$allCount")'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='otherwise, specified in this component only'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								COND='iterator.numItems == getIntParam("$ownCount")'
								TEXT='all declarations'
							</TEXT_CTRL>
							<PANEL>
								COND='iterator.numItems != getIntParam("$ownCount")'
								FMT={
									ctrl.size.width='223.5';
									ctrl.size.height='38';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
										<CTRLS>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.local")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local attributes'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.references")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("ref") != "")
) != null'
												TEXT='references'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.wildcard")
&&
findElementByType (iterator.items, "xs:anyAttribute") != null'
												TEXT='wildcard'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.attributes.include.prohibitions")
&&
findElementByType (
  iterator.items,
  "xs:%attribute",
  BooleanQuery (getAttrValue("use") == "prohibited")
) != null'
												TEXT='prohibitions'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT='defined within'
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='this'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? getStringParam("$title")'
									HKEYS={
										'contextElement.id';
										'"detail"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='component only'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='iterator.numItems'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='/';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='getIntParam("$allCount")'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Type Detail'
		DESCR='params[0]: type QName in case of a global type'
		MATCHING_ET='xs:%simpleType'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"local"';
				'rootElement.id';
			}
		</HTARGET>
		<HTARGET>
			COND='getElementVar ("definitionLocation").id == rootElement.id'
			MATCHING_ET='xs:simpleType%xs:localSimpleType'
			HKEYS={
				'contextElement.id';
				'"detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								MATCHING_ET='xs:%localSimpleType'
								TEXT='Anonymous'
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='simpleType'
							</TEXT_CTRL>
							<DATA_CTRL>
								MATCHING_ET='xs:simpleType'
								EXPR='\'"\' + stockSection.param + \'"\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.attributes.type.deriv.tree")'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='7';
					sec.spacing.after='5';
					table.style='ts1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../type/typeDerivationTree.tpl'
								PASSED_PARAMS={
									'$detailLink','instanceOf("xs:simpleType") ||
getElementVar ("definitionLocation").id != rootElement.id';
									'$xmlSourceLink','instanceOf("xs:simpleType") ||
! getBooleanParam("doc.comp.attributes.xml")';
									'$xmlContext','rootElement';
								}
								STYLE_OVERRIDES={
									'Derivation Tree Heading','ps1';
									'Derivation Tree Method','cs2';
									'Derivation Tree Type','cs3';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				COND='getBooleanParam("doc.comp.attributes.type.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='5';
					text.style='cs5';
				}
			</SS_CALL>
			<TEMPLATE_CALL>
				COND='! hasParamValue("doc.comp.attributes.type.deriv.simpleContent", "none")'
				TEMPLATE_FILE='../component/simpleContentDerivation.tpl'
				PASSED_PARAMS={
					'$deriv.simpleContent','getStringParam("doc.comp.attributes.type.deriv.simpleContent")';
					'$deriv.simpleContent.facets','getBooleanParam("doc.comp.attributes.type.deriv.simpleContent.facets")';
					'$deriv.simpleContent.annotations','getBooleanParam("doc.comp.attributes.type.deriv.simpleContent.annotations")';
					'$xmlContext','rootElement';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='XML Source'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs7';
									text.color.opaque='false';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.attributes.xml.remove.anns")';
								}
								FMT={
									text.style='cs6';
									text.color.opaque='false';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.attributes.xml.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='7';
					sec.spacing.after='8';
					table.style='ts2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.attributes.xml.remove.anns")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.anns','getBooleanParam("doc.comp.attributes.xml.remove.anns")';
				}
				FMT={
					sec.spacing.before='5';
					sec.spacing.after='8';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='Fy+cSnryJc1MdS5RR0aH5rBItUeJJeks7tuc+qQOSVw'
</FLEXDOCXYZ_TEMPLATE>